package main

import "surdeus.su/core/cli/mtool"
import "surdeus.su/core/amo"
import "surdeus.su/core/ss/urlenc"

type LeadGetter struct {}

func (l LeadGetter) GetValues(
	c *amo.Client,
	opts ...urlenc.Builder,
) ([]amo.Lead, amo.NextFunc[[]amo.Lead], error) {
	return c.GetLeads(opts...)
}

func (l LeadGetter) GetNameMul() string {
	return "leads"
}

func (l LeadGetter) GetFuncName() string {
	return "amo.GetLeads"
}
var getLead = mtool.T("get-leads").Func(func(
	flags *mtool.Flags,
){
	RunGetter(LeadGetter{}, flags)
}).Usage(
	"[id1 id2 ... idN]",
)
