package main

import "surdeus.su/core/amo"
import "surdeus.su/core/ss/urlenc"
import "surdeus.su/core/cli/mtool"
//import "encoding/json"
//import "strconv"
//import "log"
//import "fmt"
//import "os"


type CompanyGetter struct{}

func (l CompanyGetter) GetValues(
	c *amo.Client,
	opts ...urlenc.Builder,
) ([]amo.Company, amo.NextFunc[[]amo.Company], error) {
	return c.GetCompanies(opts...)
}

func (l CompanyGetter) GetNameMul() string {
	return "companies"
}

func (l CompanyGetter) GetFuncName() string {
	return "amo.GetCompanies"
}

var getComs = mtool.T("get-companies").Func(func(
	flags *mtool.Flags,
){
	RunGetter(CompanyGetter{}, flags)
})
